Subject: Re: 23.0.60; Infinite loop in align-regexp

From: Chong Yidong <[email-masked]>
Date: Sat, 24 Jan 2009 18:44:04 -0500

> For certain choices of regexp and region text, align-regexp will enter
> an infinite loop... Anyway, the problem seems to be that align-region
> assumes that a successful search will always move point forward. The
> following patch attempts to fix this:

Your patch looks OK, so I've checked it in.  Thanks very much.